EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000071easycwmp[All Projects] Bugpublic2015-07-18 01:442015-10-05 14:40
Reportermohamed.kallel 
Assigned Tomohamed.kallel 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000071: compilation error of easycwmp in the last version of openwrt: tunknown type name 'time_t'
Descriptioncompilation error of easycwmp in the last version of openwrt:

src/backup.c
In file included from ../src/backup.c:14:0:
../src/config.h:31:2: error: unknown type name 'time_t'
  time_t periodic_time;
  ^
make[5]: *** [easycwmpd-backup.o] Error 1
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000275)
rnarld (reporter)
2015-09-19 13:15

There's a missing include:

--- a/src/config.h
+++ b/src/config.h
@@ -15,6 +15,7 @@
 
 #include <uci.h>
 
+#include <sys/time.h>
 #include "easycwmp.h"
 
 void config_exit(void);
(0000277)
mohamed.kallel (manager)
2015-09-21 22:26

thanks for the patch
I will try to fix that in the source code as soon as possible
(0000296)
mohamed.kallel (manager)
2015-10-05 14:40

fixed in EasyCwmp-1.1.7

- Issue History
Date Modified Username Field Change
2015-07-18 01:44 mohamed.kallel New Issue
2015-07-18 01:44 mohamed.kallel Summary compilation error of easycwmp in the last version of openwrt: tunknown type name 'time_t') => compilation error of easycwmp in the last version of openwrt: tunknown type name 'time_t'
2015-09-19 13:15 rnarld Note Added: 0000275
2015-09-21 22:26 mohamed.kallel Note Added: 0000277
2015-10-05 14:40 mohamed.kallel Note Added: 0000296
2015-10-05 14:40 mohamed.kallel Status new => resolved
2015-10-05 14:40 mohamed.kallel Resolution open => fixed
2015-10-05 14:40 mohamed.kallel Assigned To => mohamed.kallel


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker